## Purpose

This repository contains shared settings to be used by developers using IntelliJ. It ensures (amongst other things) that IntelliJ generates code to the Mirada standard

## How to Use

### Add the bulk settings

- Go to http://bitbucket/rest/api/latest/projects/INF/repos/intellij-settings-repository/archive?format=zip
- Save the download locally
- File > Manage IDE Settings > Import Settings
- Select the zip you just downloaded
- Accept whatever settings you want to import (probably everything)

### Configure checkstyles

Checkstyles must unfortunately be manually configured. However it should be autoinstalled once the bulk settings are uploaded

- File > Settings > Tools > Checkstyles > + on the list of config files
- Add http://bitbucket/projects/INF/repos/intellij-settings-repository/raw/nonSettingsFiles/checkstyles.xml as the checkstyles config file

![Add Checkstyles](nonSettingsFiles/addCheckstyles.jpg)

## How to update these settings
Easiest option is:

- Make the changes in IntelliJ 
- File > Manage IDE Settings > Export Settings
- Select what you want 
- Unzip it, use that to update what is committed into this repository. **Do not just commit everything**, for example we don't want to enforce dark mode vs light mode.